Debian Bug report logs - #556819
haskell-convertible: FTBFS: make: dh_haskell: Command not found

version graph

Package: src:haskell-convertible; Maintainer for src:haskell-convertible is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 17 Nov 2009 21:19:03 UTC

Severity: serious

Found in version haskell-convertible/1.0.6-1

Fixed in version haskell-convertible/1.0.6-3

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#556819; Package src:haskell-convertible. (Tue, 17 Nov 2009 21:19:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 17 Nov 2009 21:19:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: haskell-convertible: FTBFS: make: dh_haskell: Command not found
Date: Tue, 17 Nov 2009 14:53:10 -0600
Source: haskell-convertible
Version: 1.0.6-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20091117 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules binary
> dh_testdir
> dh_testroot
> dh_clean -k 
> dh_installdirs
> # Add here commands to install the package into debian/tmp
> #/usr/bin/make install DESTDIR=/build/user-haskell-convertible_1.0.6-1-amd64-z69GCo/haskell-convertible-1.0.6/debian/tmp
> make: dh_haskell: Command not found
> make: *** [install-i] Error 127

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/11/17/haskell-convertible_1.0.6-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#556819; Package src:haskell-convertible. (Fri, 04 Dec 2009 21:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 04 Dec 2009 21:27:11 GMT) Full text and rfc822 format available.

Message #10 received at 556819@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 556819@bugs.debian.org, 556815@bugs.debian.org
Subject: What about fixing those trivial bugs?
Date: Fri, 4 Dec 2009 22:20:55 +0100
[Message part 1 (text/plain, inline)]
Those trivial bugs have been around for quite some time. Any chance
to get them fixed? Some packages are blocked in the BD-Uninstallable
state because of those missing packages.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#556819; Package src:haskell-convertible. (Sat, 05 Dec 2009 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 05 Dec 2009 00:27:07 GMT) Full text and rfc822 format available.

Message #15 received at 556819@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Cyril Brulebois <kibi@debian.org>, 556819@bugs.debian.org
Cc: 556819@bugs.debian.org, 556815@bugs.debian.org, pkg-haskell-maintainers@lists.alioth.debian.org, debian-haskell@lists.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#556819: What about fixing those trivial bugs?
Date: Sat, 5 Dec 2009 11:21:09 +1100
Cyril Brulebois wrote:

> Those trivial bugs have been around for quite some time. Any chance
> to get them fixed? Some packages are blocked in the BD-Uninstallable
> state because of those missing packages.

I am  working on this one:

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=556819

All of may changes so far are in Git:

    http://git.debian.org/?p=pkg-haskell/haskell-convertible.git;a=summary

Unfortunately it is not as trivial as you make out. The probelms I am  still
stuck with are:

  a) It won't build with git-buildpackage (git issue, possibly a missing
     upstream branch?).

  b) It fails under pbuilder:

       Building convertible-1.0.6...
       hlibrary.setup: Distribution/Simple/PreProcess.hs:342:8-69:
	      Irrefutable pattern failed for pattern Data.Maybe.Just cpphsProg

I had planned to spend some more time on this over this weekend.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 17:03:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 17:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 556819-done@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 556819-done@bugs.debian.org
Subject: Fixed now
Date: Sat, 05 Dec 2009 17:55:30 +0100
[Message part 1 (text/plain, inline)]
Version: 1.0.6-2

Hi,

closes message was forgotten in the changelog, closing manually.

Greetings,
Joachim



-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions 1.0.6-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Dec 2009 18:09:06 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sun, 06 Dec 2009 00:21:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 06 Dec 2009 00:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 556819-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 556819-close@bugs.debian.org
Subject: Bug#556819: fixed in haskell-convertible 1.0.6-3
Date: Sun, 06 Dec 2009 00:17:17 +0000
Source: haskell-convertible
Source-Version: 1.0.6-3

We believe that the bug you reported is fixed in the latest version of
haskell-convertible, which is due to be installed in the Debian FTP archive:

haskell-convertible-doc_1.0.6-3_all.deb
  to main/h/haskell-convertible/haskell-convertible-doc_1.0.6-3_all.deb
haskell-convertible_1.0.6-3.diff.gz
  to main/h/haskell-convertible/haskell-convertible_1.0.6-3.diff.gz
haskell-convertible_1.0.6-3.dsc
  to main/h/haskell-convertible/haskell-convertible_1.0.6-3.dsc
libghc6-convertible-dev_1.0.6-3_amd64.deb
  to main/h/haskell-convertible/libghc6-convertible-dev_1.0.6-3_amd64.deb
libghc6-convertible-prof_1.0.6-3_amd64.deb
  to main/h/haskell-convertible/libghc6-convertible-prof_1.0.6-3_amd64.deb
libhugs-convertible_1.0.6-3_all.deb
  to main/h/haskell-convertible/libhugs-convertible_1.0.6-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556819@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-convertible package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Dec 2009 19:11:33 +0100
Source: haskell-convertible
Binary: libghc6-convertible-dev libghc6-convertible-prof libhugs-convertible haskell-convertible-doc
Architecture: source all amd64
Version: 1.0.6-3
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 haskell-convertible-doc - Typeclasses and instances for converting between types, documenta
 libghc6-convertible-dev - Typeclasses and instances for converting between types, GHC packa
 libghc6-convertible-prof - Typeclasses and instances for converting between types, GHC profi
 libhugs-convertible - Typeclasses and instances for converting between types, Hugs pack
Closes: 556819
Changes: 
 haskell-convertible (1.0.6-3) unstable; urgency=low
 .
   * Build depend on cpphs to prevent FTBFS. (Closes: #556819)
Checksums-Sha1: 
 c9bf6fc736571489a1e5918eba21ba62b114b6f7 1656 haskell-convertible_1.0.6-3.dsc
 1d464139791697de705a99aa85e9e67c9cdcfdd7 2564 haskell-convertible_1.0.6-3.diff.gz
 2d0e4693eb71a59cad654545da52f5966c59292e 12006 libhugs-convertible_1.0.6-3_all.deb
 552eb41813b227a4c73229dcf088f7ad6c0aa4e1 44554 haskell-convertible-doc_1.0.6-3_all.deb
 17af4dcc3166c59a824ba09a121302faefedbef8 603654 libghc6-convertible-dev_1.0.6-3_amd64.deb
 07990ef0a2e43de67e51c26b3f6925b19e0013da 576074 libghc6-convertible-prof_1.0.6-3_amd64.deb
Checksums-Sha256: 
 5c07e4f1b81d7f97ad9a659bd10372b7c8456146b6e39da79820b251f26aa342 1656 haskell-convertible_1.0.6-3.dsc
 3b5ab10de36e761967a7b2df68fa4a04c861ebbdc6f91390d1b67d8f04cef601 2564 haskell-convertible_1.0.6-3.diff.gz
 92d0d2c65ae4986eb8580b9ca82046098025c5c7f226575667bfc5062f12deb3 12006 libhugs-convertible_1.0.6-3_all.deb
 3fd06da21bfbe2c704733aa792f8f711f99ef5ed61f2184b9c8386862ae3a526 44554 haskell-convertible-doc_1.0.6-3_all.deb
 4c75956ef8d90f0d320844706875d08644786c0dfee4c6619bdacb4b85d09444 603654 libghc6-convertible-dev_1.0.6-3_amd64.deb
 b949ca02c4baa3118e7ad6013fc62ccf38a2d54f26db1459cd67a5e0d519a666 576074 libghc6-convertible-prof_1.0.6-3_amd64.deb
Files: 
 f63680766b1e1fa71d7dcfabeffecc77 1656 haskell extra haskell-convertible_1.0.6-3.dsc
 95e4a959d583d6575814fc9a0193b003 2564 haskell extra haskell-convertible_1.0.6-3.diff.gz
 84a9e60fe52b3e84d4b645e57f5b156b 12006 haskell extra libhugs-convertible_1.0.6-3_all.deb
 aeada38a9512f9c647445e8f2919f030 44554 doc extra haskell-convertible-doc_1.0.6-3_all.deb
 444cba64e4c456126689c4294d8388e7 603654 haskell extra libghc6-convertible-dev_1.0.6-3_amd64.deb
 9133ab721a5fd0df5d53add1be5e2a30 576074 haskell extra libghc6-convertible-prof_1.0.6-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksa7RkACgkQ9ijrk0dDIGxt/gCfQN0yqaLQ9yE3YZ+rVJiA+md5
1S4AnjSPKpdJE2z6HgIjyan/ZtvF4YjZ
=QDgu
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#556819; Package src:haskell-convertible. (Sun, 06 Dec 2009 01:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 06 Dec 2009 01:18:05 GMT) Full text and rfc822 format available.

Message #32 received at 556819@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 556819@bugs.debian.org, 556815@bugs.debian.org, pkg-haskell-maintainers@lists.alioth.debian.org, debian-haskell@lists.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#556819: What about fixing those trivial bugs?
Date: Sun, 6 Dec 2009 02:13:16 +0100
[Message part 1 (text/plain, inline)]
Erik de Castro Lopo <erikd@mega-nerd.com> (05/12/2009):
> Unfortunately it is not as trivial as you make out.

From where I sit, that pretty much looks like a missing (versioned?)
Build-Depends or something similar. Which makes me call it “trivial”
indeed.

>  The probelms I am still stuck with are:
> 
>   a) It won't build with git-buildpackage (git issue, possibly a
>      missing upstream branch?).

For that one, I call it trivial too: use a simple tool, like
“debuild”, fixed.

>   b) It fails under pbuilder:
> 
>        Building convertible-1.0.6...
>        hlibrary.setup: Distribution/Simple/PreProcess.hs:342:8-69:
> 	      Irrefutable pattern failed for pattern Data.Maybe.Just cpphsProg

That sounds like the joy of haskell. :D

Anyway, if you don't want people to think those RC bugs can be
trivially fixed, I guess updates to the relevant bugreports may
help. I'm now back to reporting more RC bugs on other haskell
packages. ;p

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Jan 2010 07:28:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:02:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.